﻿using System.ComponentModel;
using HeuristicLab.Problems.DataAnalysis;

namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
  public partial class ProblemDataPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
    private DataAnalysisWizardContext context;
    public DataAnalysisWizardContext Context {
      get { return context; }
    }

    public ProblemDataPage(DataAnalysisWizardContext context) {
      InitializeComponent();
      this.context = context;
      dataAnalysisProblemView.Content = new RegressionProblem();
    }

    private void ProblemDataPage_SetActive(object sender, CancelEventArgs e) {
      SetWizardButton(Wizard.WizardButtons.Next);
    }

    private void ProblemDataPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
      context.Problem = dataAnalysisProblemView.Content;
    }
  }
}
